Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162216 - internal compiler error compiling ipw2100 against linux 2.6.12.2 includes
Summary: internal compiler error compiling ipw2100 against linux 2.6.12.2 includes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 21:23 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 4.0.1-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-12 13:39:42 UTC


Attachments (Terms of Use)
Preprocessed source (deleted)
2005-06-30 21:29 UTC, Need Real Name
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 22441 None None None Never

Description Need Real Name 2005-06-30 21:23:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4 Firefox/1.0.4

Description of problem:
(#:/usr/local/src/intel-wireless/ipw2100-1.1.0) make
make -C /lib/modules/2.6.12.2/build SUBDIRS=/home/local/intel-wireless/ipw2100-1.1.0 MODVERDIR=/home/local/intel-wireless/ipw2100-1.1.0 modules
make[1]: Entering directory `/home/local/linux2612/linux-2.6.12.2'
  CC [M]  /home/local/intel-wireless/ipw2100-1.1.0/ipw2100.o
include/linux/etherdevice.h: In function ipw2100_set_address:
include/linux/etherdevice.h:84: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc3K8yZA.out file, please attach this to your bugreport.
make[2]: *** [/home/local/intel-wireless/ipw2100-1.1.0/ipw2100.o] Error 1
make[1]: *** [_module_/home/local/intel-wireless/ipw2100-1.1.0] Error 2
make[1]: Leaving directory `/home/local/linux2612/linux-2.6.12.2'
make: *** [modules] Error 2

BTW,

when i switched to linux 2.6.11 version of include/linux/etherdevice.h the compiler no longer ice'd.

i upgraded to rawhide gcc4 to see if fixed, but no.


Version-Release number of selected component (if applicable):
gcc-4.0.0-13

How reproducible:
Always

Steps to Reproduce:
1. download ipw2100-1.1.0.tgz
2. compile against linux 2.6.12.2 headers
3. boom!
  

Additional info:

Comment 1 Need Real Name 2005-06-30 21:27:31 UTC
i can email preprocessed source if need be. bugzilla wont let me attach it.

Comment 2 Need Real Name 2005-06-30 21:29:40 UTC
Created attachment 116192 [details]
Preprocessed source

permissions issue i think, can i send now?

Comment 3 Pål Brattberg 2005-07-06 16:02:11 UTC
I get this error as well, with 2.6.12-1.1387_FC4 and gcc (GCC) 4.0.0 20050519
(Red Hat 4.0.0-8). I have contacted the author of ipw2100 as well.

Comment 4 darkness 2005-07-07 16:32:30 UTC
FYI, applying the patch from http://bughost.org/bugzilla/show_bug.cgi?id=703
(ipw2100 Bugzilla) makes this compiler error go away for me (FC4,
kernel-2.6.12-1.1387_FC4, gcc-4.0.0-8).  Of course, I think the compiler crash
is still a bug, but this may be a workaround to get ipw2100 compiled.  I haven't
actually tested the resulting driver yet.

Comment 5 Jakub Jelinek 2005-07-12 13:39:42 UTC
Well, that patch is not a workaround, but fix, the source is otherwise not valid
C.  The ICE is tracked upstream.

Comment 6 Jakub Jelinek 2005-07-15 11:45:48 UTC
gcc-4.0.1-3 in rawhide properly issues an error about this bug.


Note You need to log in before you can comment on or make changes to this bug.